Bug 258481 - NSS does not support MD4
NSS does not support MD4
Status: CLOSED DUPLICATE of bug 263241
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
12
All All
medium Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 19:45 EDT by Miloslav Trmač
Modified: 2010-09-27 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-27 20:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2007-08-27 19:45:17 EDT
AFAICS, NSS currently does not support MD4 at all.

MD4, although insecure, is necessary for NTLM authentication.
Comment 1 Kai Engert (:kaie) 2007-08-29 13:57:32 EDT
I think the lack of MD4 is by design.

When the Mozilla client applications implemented NTLM, they added MD4 at the
application level.
Comment 2 Miloslav Trmač 2007-08-29 14:09:43 EDT
I think having a single MD4 (or NTLM) implementation in a library is much
preferable to copying a private implementation to each application
Comment 3 Kai Engert (:kaie) 2007-08-29 14:20:57 EDT
The upstream bugzilla for NSS is bugzilla.mozilla.org

See 
  https://bugzilla.mozilla.org/show_bug.cgi?id=152883
  https://bugzilla.mozilla.org/show_bug.cgi?id=224653
for past discussions.
Comment 4 Bob Relyea 2007-08-29 16:19:15 EDT
We need an NTLM library, specifically.
We should not add generic md4 support.

bob
Comment 5 Bob Relyea 2007-08-29 16:30:12 EDT
Bug 263241 has been openned for the real issue.

bob
Comment 6 Bug Zapper 2008-04-04 09:41:07 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-13 23:09:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 18:47:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-11-16 02:56:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Admin XMLRPC Client 2010-09-07 16:54:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Elio Maldonado Batiz 2010-09-27 20:40:17 EDT

*** This bug has been marked as a duplicate of bug 263241 ***

Note You need to log in before you can comment on or make changes to this bug.